Authorize integration
curl --request POST \
--url https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId}/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"apiKey": "<string>",
"frontendOrigin": "<string>"
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId}/authorize"
payload = {
"apiKey": "<string>",
"frontendOrigin": "<string>"
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({apiKey: '<string>', frontendOrigin: '<string>'})
};
fetch('https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"integrationId": "int_gyl2xn6wplkji4vyvh5k5nqt",
"status": "PENDING_AUTH",
"authorizationUrl": "<string>"
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Integrations
Authorize integration
POST
/
api
/
v1
/
integrations
/
{integrationId}
/
authorize
Authorize integration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
Unique identifier of the integration.
Minimum string length:
1Example:
"int_gyl2xn6wplkji4vyvh5k5nqt"
Body
application/json
Request body used to authorize an integration.
Response
Default Response
Standard success response payload wrapped in a data property.
Integration authorization response.
Show child attributes
Show child attributes